package cn.jyjz.xiaoyao.admin;

import cn.jyjz.xiaoyao.common.base.constant.SystemConstants;
import cn.jyjz.xiaoyao.common.base.service.UserTokenService;
import cn.jyjz.xiaoyao.common.base.util.RequestBaseUtil;
import cn.jyjz.xiaoyao.framework.security.log.SystemLog;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by zhangyong on 2021/3/8.
 */
@Controller
@RequestMapping("/backstage")
public class LoginController {

    /**
     * 进入后台管理首页
     */
    @Autowired
    private UserTokenService userTokenService;

    @GetMapping("/index")
    @SystemLog(description="登录",logtype = SystemConstants.WEB_LOG_TYPR_SYS_USE_LOGIN )
    public String index(HttpServletRequest request){

        String url = request.getRequestURL().toString();
        String finalurl = "";
        if(StringUtils.isNotBlank(url) && url.startsWith("https")){

            finalurl = "https://" + request.getServerName();
            if (request.getServerPort() != 80 && request.getServerPort() != 443) {
                finalurl += ":" + request.getServerPort();
            }
            String protocol = request.getProtocol();
            finalurl += "/backstage/backstageindex";
        }else{
            finalurl += "/backstage/backstageindex";
        }

        return "redirect:" + finalurl;

    }
    @GetMapping("/backstageindex")
    public String backstageindex(){

        return "/backstage/backstageindex";
    }
    @GetMapping("/adminlogout")
    public String adminlogout(HttpServletRequest request){
    
        String token = RequestBaseUtil.getToken(request);
        
        userTokenService.removeSessionUser(token);
        
        return "/loginadmin";
    }
    @RequestMapping("/indexmain")
    public String indexmain(){

        return "/backstage/indexmain";
    }
}
